DeepFellow DOCS

Retrieve model

Retrieves a model instance, providing basic information about the model such as the owner and permissioning.

GET
/v1/models/{model_id}
AuthorizationBearer <token>

In: header

Path Parameters

model_idModel Id

Query Parameters

additional_data?Additional Data
Defaultfalse

Header Parameters

OpenAI-Organization?Openai-Organization

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?Openai-Project

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

Response Body

curl -X GET "https://loading/v1/models/string?additional_data=false" \  -H "OpenAI-Organization: string" \  -H "OpenAI-Project: string"
{
  "id": "llama3.1",
  "object": "model",
  "created": 12312312,
  "owned_by": "Simplito"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.